> For the complete documentation index, see [llms.txt](https://docs.idrx.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.idrx.co/api/onboarding-api/post-api-auth-add-bank-account.md).

# POST /api/auth/add-bank-account

This API is used to add a new bank account. A new deposit address associated to the bank account will also be created. Users can use the deposit address to request a redeem to the bank account.

## Parameters

1. **`bankAccountNumber` (String):**

   This parameter represents the bank account number.
2. **`bankCode` (String):**

   This parameter represents the bank code. Get a list of available banks from [this api](/api/transaction-api/get-api-transaction-method.md).

## Example Request

<pre><code><strong>curl -X POST '&#x3C;https://idrx.co/api/auth/add-bank-account>' --header 'idrx-api-key: &#x3C;API_KEY>' --header 'idrx-api-sig: &#x3C;signature>' --header 'idrx-api-ts': &#x3C;timestamp>' --header 'Content-Type': multipart/form-data'
</strong></code></pre>

**Payload**

```json
{
  "bankAccountNumber": "string",
  "bankCode": "string",
}
```

## Response

If the request is successful, the response will be as shown below:

```json
{
    "statusCode": 201,
    "message": "success",
    "data": {
        "id": 108,
        "userId": 411,
        "bankAccountNumber": "5017332241",
        "bankAccountName": "JOHN SMITH",
        "bankAccountNumberHash": null,
        "bankCode": "014",
        "bankName": "BANK CENTRAL ASIA",
        "maxAmountTransfer": "100000000",
        "deleted": false,
        "DepositWalletAddress": {
            "walletAddress": "0x07C158ab29f23D0821e7D24B191c5e5d9d72738b",
            "createdAt": "2024-01-17T10:34:22.304Z"
        }
    }
}
```
